Bug 119331 - Certificate added via Signature Line considered invalid if document is saved with password
Summary: Certificate added via Signature Line considered invalid if document is saved ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Digital-Signatures
  Show dependency treegraph
 
Reported: 2018-08-17 16:02 UTC by Dom Walden
Modified: 2021-07-26 03:29 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
printscreen of error message (39.66 KB, application/vnd.oasis.opendocument.text)
2018-08-19 08:05 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dom Walden 2018-08-17 16:02:37 UTC
_Description_

If a LibreOffice Writer or Calc document is saved with a password, and you use a Signature Line to add a digital signature/certificate, the certificate is considered invalid.

The same certificate is considered valid when added to a non-password saved document.

It is also possible to add it via File > Digital Signatures, in which case it is considered valid.

As a note, so far I have only tested certificates generated by GnuPG with and without passwords. When attempting to add a password protected certificate via the Signature Line I am not asked for a password.

_Steps to Reproduce_

Make sure you have at least one (valid) certificate available.

1. Create a new Writer or Calc document
2. Insert > Signature Line
3. Fill in the dialog and press ok
4. Save the document with a password (in the Save As dialog/filesystem navigator, at the bottom left should be an option "Save with password")
5. Right-click Signature Line and select "Sign Signature Line"
6. Type in a name, click "Select Certificate" and select a certificate
7. Click Sign

_Actual Results_

You will immediately be told the certificate is invalid.

_Expected Results_

Should be prompted for password (if necessary). Certificate should be added to the document and it should be considered valid.


Reproducible: Always

User Profile Reset: Yes


_Additional Info_
Version: 6.2.0.0.alpha0+
Build ID: 380d0fda99ff664de8443cfc33c7c86bca18134c
CPU threads: 2; OS: Linux 3.16; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-08-16_22:45:19
Locale: en-GB (en_GB.UTF-8); Calc: threaded

My OS is Debian 8.10.
Comment 1 raal 2018-08-19 08:05:02 UTC
Created attachment 144277 [details]
printscreen of error message

I can confirm with Version: 6.2.0.0.alpha0+
Build ID: 4cb69cf33b5bf17030bcd263fe31258177c76d5e
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-08-18_05:13:44
Comment 2 Xisco Faulí 2018-08-20 17:18:47 UTC
@Samuel, I thought you could be interested in this issue...
Comment 3 QA Administrators 2021-07-26 03:29:48 UTC
Dear Dom Walden,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug